/*


  Big grid styles


*/

.td-hover-1 .td-big-grid-wrapper .entry-thumb {
  transition-timing-function: ease !important;
}


/*
  Colored gradients
*/
.td-grid-style-2,
.td-grid-style-3 {
  // 0 - blue-green
  .td-big-grid-post-0 {
    .td-module-thumb {
      a:last-child:before {
        bottom: 0;
        content: "";
        display: block;
        height: 100%;
        width: 100%;
        position: absolute;
        z-index: 1;
        background: rgba(77,178,236,1);
        background: -moz-linear-gradient(45deg, rgba(77,178,236,1) 0%, rgba(74,143,94,1) 100%);
        background: -webkit-gradient(left bottom, right top, color-stop(0%, rgba(77,178,236,1)), color-stop(100%, rgba(74,143,94,1)));
        background: -webkit-linear-gradient(45deg, rgba(77,178,236,1) 0%, rgba(74,143,94,1) 100%);
        background: -o-linear-gradient(45deg, rgba(77,178,236,1) 0%, rgba(74,143,94,1) 100%);
        background: -ms-linear-gradient(45deg, rgba(77,178,236,1) 0%, rgba(74,143,94,1) 100%);
        background: linear-gradient(45deg, rgba(77,178,236,1) 0%, rgba(74,143,94,1) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#009cbc', endColorstr='#4a8f5e', GradientType=1 );
      }
    }
  }

  // 1 & 7 - red
  .td-big-grid-post-1,
  .td-big-grid-post-7 {
    .td-module-thumb {
      a:last-child:before {
        bottom: 0;
        content: "";
        display: block;
        height: 100%;
        width: 100%;
        position: absolute;
        z-index: 1;
        background: rgba(209,118,70,1);
        background: -moz-linear-gradient(45deg, rgba(209,118,70,1) 0%, rgba(198,57,57,1) 100%);
        background: -webkit-gradient(left bottom, right top, color-stop(0%, rgba(209,118,70,1)), color-stop(100%, rgba(198,57,57,1)));
        background: -webkit-linear-gradient(45deg, rgba(209,118,70,1) 0%, rgba(198,57,57,1) 100%);
        background: -o-linear-gradient(45deg, rgba(209,118,70,1) 0%, rgba(198,57,57,1) 100%);
        background: -ms-linear-gradient(45deg, rgba(209,118,70,1) 0%, rgba(198,57,57,1) 100%);
        background: linear-gradient(45deg, rgba(209,118,70,1) 0%, rgba(198,57,57,1) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#d17646', endColorstr='#c63939', GradientType=1 );
      }
    }
  }

  // 2 - violet
  .td-big-grid-post-2 {
    .td-module-thumb {
      a:last-child:before {
        bottom: 0;
        content: "";
        display: block;
        height: 100%;
        width: 100%;
        position: absolute;
        z-index: 1;
        background: rgba(215,96,183,1);
        background: -moz-linear-gradient(-45deg, rgba(215,96,183,1) 0%, rgba(59,120,180,1) 100%);
        background: -webkit-gradient(left top, right bottom, color-stop(0%, rgba(215,96,183,1)), color-stop(100%, rgba(59,120,180,1)));
        background: -webkit-linear-gradient(-45deg, rgba(215,96,183,1) 0%, rgba(59,120,180,1) 100%);
        background: -o-linear-gradient(-45deg, rgba(215,96,183,1) 0%, rgba(59,120,180,1) 100%);
        background: -ms-linear-gradient(-45deg, rgba(215,96,183,1) 0%, rgba(59,120,180,1) 100%);
        background: linear-gradient(135deg, rgba(215,96,183,1) 0%, rgba(59,120,180,1) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#d760b7', endColorstr='#3b78b4', GradientType=1 );
      }
    }
  }

  // 3 - blue-green
  .td-big-grid-post-3 {
    .td-module-thumb {
      a:last-child:before {
        bottom: 0;
        content: "";
        display: block;
        height: 100%;
        width: 100%;
        position: absolute;
        z-index: 1;
        background: rgba(84,163,219,1);
        background: -moz-linear-gradient(45deg, rgba(84,163,219,1) 0%, rgba(75,207,119,1) 100%);
        background: -webkit-gradient(left bottom, right top, color-stop(0%, rgba(84,163,219,1)), color-stop(100%, rgba(75,207,119,1)));
        background: -webkit-linear-gradient(45deg, rgba(84,163,219,1) 0%, rgba(75,207,119,1) 100%);
        background: -o-linear-gradient(45deg, rgba(84,163,219,1) 0%, rgba(75,207,119,1) 100%);
        background: -ms-linear-gradient(45deg, rgba(84,163,219,1) 0%, rgba(75,207,119,1) 100%);
        background: linear-gradient(45deg, rgba(84,163,219,1) 0%, rgba(75,207,119,1) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#54a3db', endColorstr='#4bcf77', GradientType=1 );
      }
    }
  }

  // 4 - yellow
  .td-big-grid-post-4 {
    .td-module-thumb {
      a:last-child:before {
        bottom: 0;
        content: "";
        display: block;
        height: 100%;
        width: 100%;
        position: absolute;
        z-index: 1;
        background: rgba(244,208,63,1);
        background: -moz-linear-gradient(-45deg, rgba(244,208,63,1) 0%, rgba(242,122,53,1) 100%);
        background: -webkit-gradient(left top, right bottom, color-stop(0%, rgba(244,208,63,1)), color-stop(100%, rgba(242,122,53,1)));
        background: -webkit-linear-gradient(-45deg, rgba(244,208,63,1) 0%, rgba(242,122,53,1) 100%);
        background: -o-linear-gradient(-45deg, rgba(244,208,63,1) 0%, rgba(242,122,53,1) 100%);
        background: -ms-linear-gradient(-45deg, rgba(244,208,63,1) 0%, rgba(242,122,53,1) 100%);
        background: linear-gradient(135deg, rgba(244,208,63,1) 0%, rgba(242,122,53,1) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f4d03f', endColorstr='#f27a35', GradientType=1 );
      }
    }
  }

  // 5 - violet
  .td-big-grid-post-5 {
    .td-module-thumb {
      a:last-child:before {
        bottom: 0;
        content: "";
        display: block;
        height: 100%;
        width: 100%;
        position: absolute;
        z-index: 1;
        background: rgba(215,96,183,1);
        background: -moz-linear-gradient(-45deg, rgba(215,96,183,1) 0%, rgba(59,120,180,1) 100%);
        background: -webkit-gradient(left top, right bottom, color-stop(0%, rgba(215,96,183,1)), color-stop(100%, rgba(59,120,180,1)));
        background: -webkit-linear-gradient(-45deg, rgba(215,96,183,1) 0%, rgba(59,120,180,1) 100%);
        background: -o-linear-gradient(-45deg, rgba(215,96,183,1) 0%, rgba(59,120,180,1) 100%);
        background: -ms-linear-gradient(-45deg, rgba(215,96,183,1) 0%, rgba(59,120,180,1) 100%);
        background: linear-gradient(135deg, rgba(215,96,183,1) 0%, rgba(59,120,180,1) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#d760b7', endColorstr='#3b78b4', GradientType=1 );
      }
    }
  }

  // 6 - blue-green
  .td-big-grid-post-6 {
    .td-module-thumb {
      a:last-child:before {
        bottom: 0;
        content: "";
        display: block;
        height: 100%;
        width: 100%;
        position: absolute;
        z-index: 1;
        background: rgba(77,178,236,1);
        background: -moz-linear-gradient(45deg, rgba(77,178,236,1) 0%, rgba(74,143,94,1) 100%);
        background: -webkit-gradient(left bottom, right top, color-stop(0%, rgba(77,178,236,1)), color-stop(100%, rgba(74,143,94,1)));
        background: -webkit-linear-gradient(45deg, rgba(77,178,236,1) 0%, rgba(74,143,94,1) 100%);
        background: -o-linear-gradient(45deg, rgba(77,178,236,1) 0%, rgba(74,143,94,1) 100%);
        background: -ms-linear-gradient(45deg, rgba(77,178,236,1) 0%, rgba(74,143,94,1) 100%);
        background: linear-gradient(45deg, rgba(77,178,236,1) 0%, rgba(74,143,94,1) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#009cbc', endColorstr='#4a8f5e', GradientType=1 );
      }
    }
  }

  .td-video-play-ico img {
    opacity: 0.5;
  }
}


/*
  Style 1
*/
.td-grid-style-1 {
  // general
  .td-meta-info-container {
    bottom: 0;
  }
  .td-module-thumb {
    a:last-child:before {
      bottom: 0;
      content: "";
      display: block;
      height: 70%;
      width: 100%;
      position: absolute;
      z-index: 1;
      background: -moz-linear-gradient(top,  rgba(0,0,0,0) 40%, rgba(0,0,0,0.7) 100%); /* FF3.6+ */
      background: -webkit-gradient(linear, left top, left bottom, color-stop(40%,rgba(0,0,0,0)), color-stop(100%,rgba(0,0,0,0.7))); /* Chrome,Safari4+ */
      background: -webkit-linear-gradient(top,  rgba(0,0,0,0) 40%,rgba(0,0,0,0.7) 100%); /* Chrome10+,Safari5.1+ */
      background: -o-linear-gradient(top,  rgba(0,0,0,0) 40%,rgba(0,0,0,0.7) 100%); /* Opera 11.10+ */
      background: -ms-linear-gradient(top,  rgba(0,0,0,0) 40%,rgba(0,0,0,0.7) 100%); /* IE10+ */
      background: linear-gradient(to bottom,  rgba(0,0,0,0) 40%,rgba(0,0,0,0.7) 100%); /* W3C */
      filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#b3000000',GradientType=0 ); /* IE6-9 */

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
          height: 130% !important;
      }
    }
  }
  .td-post-category {
    background-color: rgba(0, 0, 0, 0.7);
  }


  // thumbs
  .td-big-thumb {
    .td-big-grid-meta {
      width: 80%;
      margin: 0 0 0 20px;

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        width: 90%;
        margin-left: 15px;
      }
    }
    .entry-title {
      font-size: 27px;
      font-weight: 500;
      line-height: 34px;
    }
    .td-module-meta-info {
      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        margin-bottom: 18px;
      }
    }
  }

  .td-medium-thumb {
    .td-big-grid-meta {
      width: 80%;
      margin: 20px 0 14px 19px;

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        margin: 0 15px 11px;
      }
    }
    .entry-title {
      font-size: 24px;
      line-height: 30px;
      font-weight: 500;
    }
  }

  .td-small-thumb {
    .td-big-grid-meta {
      margin: 0 15px 11px;
    }
    .entry-title {
      margin-top: 2px;
      font-size: 16px;
      line-height: 21px;
      font-weight: 500;
    }
  }

  .td-tiny-thumb {
    .td-big-grid-meta {
      margin: 0 10px 10px 14px;
    }
    .entry-title {
      font-size: 15px;
      line-height: 17px;
      font-weight: 500;
    }

    .td-post-category {
      font-size: 9px;
      font-weight: 600;
      padding: 3px 5px;
      line-height: 1;
    }
  }


  // hover effect
  &.td-hover-1 {
    .td-module-thumb {
      .entry-thumb {
        //.transition(transform 0.3s ease);
        transition: transform 0.3s ease, @td_lazy_load;
        -webkit-transition: -webkit-transform 0.3s ease, @td_lazy_load;
      }

      a:last-child:before {
        bottom: 0;
        content: "";
        display: block;
        height: 100%;
        width: 100%;
        position: absolute;
        .transition(background-color 0.3s ease);
      }
    }
    .td-post-category {
      .transition(background-color 0.3s ease);
    }

    // hover
    .td-big-grid-post:hover {
      .td-module-thumb {
        .entry-thumb {
          transform: scale3d(1.1, 1.1, 1);
          -webkit-transform: scale3d(1.1, 1.1, 1);
          -moz-transform: scale3d(1.1, 1.1, 1) rotate(0.02deg);
        }

        a:last-child:before {
          background-color: rgba(0, 0, 0, 0.1);
        }
      }

      .td-post-category {
        background-color: @td_theme_color;
      }
    }
  }

  // video icon
  .td-video-play-ico img {
    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      bottom: auto;
      left: auto;
      margin: 20px 20px 0;
    }
  }
}





/*
  Style 2
*/
.td-grid-style-2 {
  // general
  .td-meta-info-container {
    bottom: 0;
  }
  .td-module-thumb {
    // inner shadow + color
    a:last-child:before {
      -webkit-box-shadow: inset 0 0 50px 0 rgba(0,0,0,0.5);
      -moz-box-shadow: inset 0 0 50px 0 rgba(0,0,0,0.5);
      box-shadow: inset 0 0 50px 0 rgba(0,0,0,0.5);
      opacity: 0.6;
    }
  }
  // category tag
  .td-post-category {
    background-color: rgba(0, 0, 0, 0.2);
  }
  // scroll bar
  .td-big-grid-post.td-big-thumb .td-big-grid-meta {
    font-size: 34px;
  }


  // thumbs
  .td-big-thumb {
    // meta container
    .td-meta-info-container {
      position: static;
      top: 0;
      bottom: auto;
    }
    // title + categ
    .td-big-grid-meta {
      width: 80%;
      margin: 20px 0 20px 20px;
      top: 0;
      position: absolute;

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        width: 90%;
        margin-left: 15px;
      }
    }
    // author + date
    .td-module-meta-info {
      position: absolute;
      bottom: 0;
    }
    .entry-title {
      font-size: 34px;
      line-height: 41px;

      /* responsive */
      @media (max-width: 1140px) {
          font-weight: 500;
      }
    }


    // 2n post
    &.td-big-grid-post-1 {
      // title + categ
      .td-big-grid-meta {
        top: auto;
        bottom: -6px;
      }
      // author + date
      .td-module-meta-info {
        bottom: auto;
        right: 22px;
        top: 5px;
      }
    }
  }

  .td-medium-thumb {
    // meta container
    .td-meta-info-container {
      top: 0;
      bottom: auto;
    }
    .td-big-grid-meta {
      width: 80%;
      margin: 20px 0 14px 19px;

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        margin: 16px 15px 11px;
      }
    }
    .entry-title {
      font-size: 24px;
      line-height: 30px;
      font-weight: 500;
    }
  }

  .td-small-thumb {
    .td-meta-info-container {
      bottom: auto;
      top: 0;
      margin-top: 16px;
    }
    .td-big-grid-meta {
      margin: 0 15px 11px;
    }
    .entry-title {
      margin-top: 2px;
      font-size: 17px;
      line-height: 21px;
      font-weight: 500;
    }
  }

  .td-tiny-thumb {
    // meta container
    .td-meta-info-container {
      top: 0;
      bottom: auto;
    }
    .td-big-grid-meta {
      margin: 14px 10px 10px 14px;

      /* responsive portrait tablet */
      @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
          margin: 10px;
      }
    }
    .entry-title {
      font-size: 15px;
      line-height: 17px;
      font-weight: 500;
    }

    .td-post-category {
      font-size: 9px;
      font-weight: 600;
      padding: 3px 5px;
      line-height: 1;
    }
  }

  // hover effect
  &.td-hover-1 {
    .td-module-thumb .entry-thumb {
      //transition-timing-function: ease;
      transition: transform 0.3s ease, @td_lazy_load;
      -webkit-transition: -webkit-transform 0.3s ease, @td_lazy_load;
    }
    .td-post-category {
      .transition(background-color 0.3s ease);
    }

    // hover
    .td-big-grid-post:hover {
      .entry-thumb {
        transform: scale3d(1.1, 1.1, 1);
        -webkit-transform: scale3d(1.1, 1.1, 1);
        -moz-transform: scale3d(1.1, 1.1, 1) rotate(0.02deg);
      }

      .td-post-category {
        background-color: rgba(0, 0, 0, 0.5);
      }
    }
  }
}


/*
  Style 3
*/
.td-grid-style-3 {
  // general
  .td-meta-info-container {
    bottom: 0;
  }
  .td-module-thumb {
    // color gradient opacity
    a:last-child:before {
      opacity: 0.8;
    }
  }
  // category tag
  .td-post-category {
    background-color: rgba(0, 0, 0, 0.2);
  }
  // scroll bar
  .td-big-grid-post.td-big-thumb .td-big-grid-meta {
    font-size: 34px;
  }


  // thumbs
  .td-big-thumb {
    // meta container
    .td-meta-info-container {
      position: static;
      top: 0;
      bottom: auto;
    }
    // title + categ
    .td-big-grid-meta {
      width: 80%;
      margin: 20px 0 20px 20px;
      top: 0;
      position: absolute;

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        width: 90%;
        margin-left: 15px;
      }
    }
    // author + date
    .td-module-meta-info {
      position: absolute;
      bottom: 0;
    }
    .entry-title {
      font-size: 34px;
      line-height: 41px;

      /* responsive */
      @media (max-width: 1140px) {
        font-weight: 500;
      }

      a {
        text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2);
      }
    }

    // 2n post
    &.td-big-grid-post-1 {
      // title + categ
      .td-big-grid-meta {
        top: auto;
        bottom: -6px;
      }
      // author + date
      .td-module-meta-info {
        bottom: auto;
        right: 22px;
        top: 5px;
      }
    }
  }

  .td-medium-thumb {
    .td-big-grid-meta {
      width: 80%;
      margin: 20px 0 14px 19px;

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        margin: 0 15px 11px;
      }
    }
    .entry-title {
      font-size: 24px;
      line-height: 30px;
      font-weight: 500;

      a {
        text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2);
      }
    }
  }

  .td-small-thumb {
    .td-big-grid-meta {
      margin: 0 15px 11px;
    }
    .entry-title {
      margin-top: 2px;
      font-size: 17px;
      line-height: 21px;
      font-weight: 500;

      a {
        text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2);
      }
    }
  }

  .td-tiny-thumb {
    .td-big-grid-meta {
      margin: 0 10px 10px 14px;
    }
    .entry-title {
      font-size: 15px;
      line-height: 17px;
      font-weight: 500;

      a {
        text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2);
      }
    }

    .td-post-category {
      font-size: 9px;
      font-weight: 600;
      padding: 3px 5px;
      line-height: 1;
    }
  }

  // hover effect
  &.td-hover-1 {
    .td-module-thumb .entry-thumb {
      //.transition(transform 0.3s ease);
      transition: transform 0.3s ease, @td_lazy_load;
      -webkit-transition: -webkit-transform 0.3s ease, @td_lazy_load;
    }
    .td-post-category {
      .transition(background-color 0.3s ease);
    }

    // hover
    .td-big-grid-post:hover {
      .entry-thumb {
        transform: scale3d(1.1, 1.1, 1);
        -webkit-transform: scale3d(1.1, 1.1, 1);
        -moz-transform: scale3d(1.1, 1.1, 1) rotate(0.02deg);
      }

      .td-post-category {
        background-color: rgba(0, 0, 0, 0.5);
      }
    }
  }
}



/*
  Style 4
*/
.td-grid-style-4 {
  // general
  .td-meta-info-container {
    bottom: 0;
    z-index: 1;
  }
  // category tag
  .td-post-category {
    background-color: rgba(0, 0, 0, 0.4);
  }
  .entry-title {
    background-color: rgb(77, 178, 236);
    background-color: rgba(77, 178, 236, 0.7);

    a {
      text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2);
    }
  }
  .td-module-meta-info {
    margin: 0;
    padding: 5px 7px 6px;
    background-color: rgba(0, 0, 0, 0.4);
    display: table;

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
        display: none;
    }
  }

  // thumbs
  .td-big-thumb {
    .td-meta-info-container {
      width: 80%;

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
          width: 100%;
      }
    }
    .td-post-category {
      margin-bottom: 0;
      display: table;
    }
    .td-module-meta-info {
      margin: 0;
    }
    .entry-title {
      font-size: 28px;
      line-height: 35px;
      font-weight: 500;
      padding: 3px 8px 6px;
    }
  }

  .td-medium-thumb {
    .entry-title {
      font-size: 24px;
      line-height: 30px;
      font-weight: 500;
      padding: 4px 11px 6px;

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        padding: 5px 7px 6px;
      }
    }
    .td-post-category {
      margin-bottom: 0;
      display: table;
    }
  }

  .td-small-thumb {
    .td-post-category {
      margin-bottom: 0;
      display: table;
    }
    .td-module-meta-info {
      margin: 0;
    }
    .entry-title {
      font-size: 16px;
      line-height: 21px;
      font-weight: 500;
      padding: 5px 7px 6px;
    }
  }

  .td-tiny-thumb {
    .td-big-grid-meta {
      margin: 0 10px 10px 14px;
    }
    .entry-title {
      font-size: 15px;
      line-height: 17px;
      font-weight: 500;
      padding: 5px 7px 6px;
      margin-right: 3px;

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
          margin-right: 0;
      }
    }

    .td-post-category {
      font-size: 9px;
      font-weight: 600;
      padding: 3px 5px;
      line-height: 1;
      margin-bottom: 0;
      display: table;
    }

    .td-big-grid-meta {
      margin: 0;
    }
  }

  // hover effect
  &.td-hover-1 {
    .td-module-thumb {
      .entry-thumb {
        //.transition(transform 0.3s ease);
        transition: transform 0.3s ease, @td_lazy_load;
        -webkit-transition: -webkit-transform 0.3s ease, @td_lazy_load;
      }
    }

    // hover
    .td-big-grid-post:hover {
      .entry-thumb {
        transform: scale3d(1.1, 1.1, 1);
        -webkit-transform: scale3d(1.1, 1.1, 1);
        -moz-transform: scale3d(1.1, 1.1, 1) rotate(0.02deg);
      }
    }
  }
}






/*
  Style 5
*/
.td-grid-style-5 {
  // general
  .td-meta-info-container {
    top: 0;
    bottom: 0;
    text-align: center;
    margin: 0;
    font-size: 0;
    width: 100%;

    &:before {
      content: '';
      display: inline-block;
      height: 100%;
      vertical-align: middle;
    }
  }
  // scroll bar
  .td-big-grid-post.td-big-thumb .td-big-grid-meta {
    font-size: 34px;
  }

  .td-meta-align {
    display: inline-block;
    vertical-align: middle;
  }

  .td-module-meta-info {
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 0;
  }

  .td-module-thumb {
    a:last-child:before {
      bottom: 0;
      content: "";
      display: block;
      height: 100%;
      width: 100%;
      position: absolute;
      background-color: rgba(0, 0, 0, 0.6);
      z-index: 1;
    }
  }
  .td-post-category {
    background-color: rgba(0, 0, 0, 0.7);
    margin-top: 0;
  }


  // thumbs
  .td-big-thumb {
    .td-meta-info-container {
      padding: 0 30px;

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
          padding: 0 15px;
      }
    }
    .entry-title {
      font-size: 28px;
      line-height: 36px;

      /* responsive */
      @media (max-width: 1140px) {
        font-weight: 500;
      }
    }
  }

  .td-medium-thumb {
    .td-meta-info-container {
      padding: 0 25px;
    }
    .entry-title {
      font-size: 24px;
      line-height: 30px;
      font-weight: 500;
    }
  }

  .td-small-thumb {
    .td-meta-info-container {
      padding: 0 15px;
    }
    .entry-title {
      margin-top: 2px;
      font-size: 16px;
      line-height: 21px;
      font-weight: 500;
    }
  }

  .td-tiny-thumb {
    .td-big-grid-meta {
      padding: 0 10px;
    }
    .entry-title {
      font-size: 15px;
      line-height: 17px;
      font-weight: 500;

      a {
        text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2);
      }
    }

    .td-post-category {
      font-size: 9px;
      font-weight: 600;
      padding: 3px 5px;
      line-height: 1;
    }
  }

  .td-video-play-ico img {
    bottom: auto;
    left: auto;
    margin: 20px 20px 0;
  }

  // hover effect
  &.td-hover-1 {
    .td-module-thumb {
      a:last-child:before {
        .transition(box-shadow 0.3s ease);
      }

      .entry-thumb {
        transition: transform 0.3s ease, @td_lazy_load;
        -webkit-transition: -webkit-transform 0.3s ease, @td_lazy_load;
      }
    }
    .td-post-category {
      background-color: rgba(0, 0, 0, 0.7);
      .transition(background-color 0.3s ease);
    }

    // hover
    .td-big-grid-post:hover {
      .td-module-thumb a:last-child:before {
        box-shadow: inset 0 0 50px 0 rgba(0,0,0,0.75);
      }

      .entry-thumb {
        transform: scale3d(1.1, 1.1, 1);
        -webkit-transform: scale3d(1.1, 1.1, 1);
        -moz-transform: scale3d(1.1, 1.1, 1) rotate(0.02deg);
      }

      .td-post-category {
        background-color: @td_theme_color;
      }
    }
  }
}

/*
  Style 6
*/
.td-grid-style-6 {
  // general
  .td-meta-info-container {
    top: 0;
    bottom: 0;
    text-align: center;
    margin: 0;
    font-size: 0;
    width: 100%;

    &:before {
      content: '';
      display: inline-block;
      height: 100%;
      vertical-align: middle;
    }
  }

  .td-big-grid-meta {
    position: relative;
    text-align: center;
    padding: 0 10%;

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      padding: 0 4%;
    }
  }

  // title
  .td-big-grid-post .td-big-grid-meta .entry-title {
    display: inline-block;
    width: 100%;
    font-weight: 300;
    margin-bottom: 0 !important;
  }
  .td-big-grid-post .entry-title {
    text-transform: uppercase;
  }

  // scroll bar
  .td-big-grid-post.td-big-thumb .td-big-grid-meta {
    font-size: 34px;
  }

  .td-big-grid-wrapper .td-big-grid-post .td-big-grid-meta {
    margin: 0;
  }

  .td-meta-align {
    display: inline-block;
    vertical-align: middle;
  }
  .td-big-grid-post .td-module-meta-info {
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 0;
  }

  // color black
  .td-module-thumb a:last-child:before {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 1;
    background-color: #000;
    opacity: 0.7;
    top: 0;
  }

  // category
  .td-post-category {
    .transition(background-color 0.35s ease 0s, color 0.35s ease 0s);

    &:hover {
      background-color: #fff;
      color: #000;
    }
  }
  .td-big-grid-post .td-post-category {
    font-size: 10px;
    padding: 2px 6px;
    line-height: 13px;
    margin-bottom: 10px;
  }

  // video icon
  .td-video-play-ico {
    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      display: none;
    }

    img {
      top: 10px !important;
      bottom: auto;
      left: auto;
      right: 10px;
      width: 30px;
    }
  }

  // big thumb
  .td-big-thumb {
    .entry-title {
      font-size: 37px;
      line-height: 45px;

      /* responsive portrait tablet */
      @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
        font-size: 22px !important;
        line-height: 26px !important;
      }
      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        font-size: 26px !important;
        line-height: 28px !important;
      }
    }
  }

  // medium thumb
  .td-medium-thumb {
    .entry-title {
      font-size: 24px;
      line-height: 28px;

      /* responsive portrait tablet */
      @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
        font-size: 18px !important;
        line-height: 21px !important;
      }
      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        font-size: 20px !important;
        line-height: 24px !important;
      }
    }
  }

  // small thumb
  .td-small-thumb {
    .entry-title {
      font-size: 18px;
      line-height: 22px;

      /* responsive portrait tablet */
      @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
        font-size: 13px !important;
        line-height: 15px !important;
      }
    }

    .td-module-comments {
      display: none;
    }
  }

  // tiny thumb
  .td-tiny-thumb {
    .entry-title {
      font-size: 14px;
      line-height: 18px;
      font-weight: 400;

      /* responsive portrait tablet */
      @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
        font-size: 13px !important;
        line-height: 16px !important;
      }
      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        font-size: 11px !important;
        line-height: 13px !important;
        margin: 5px 0;
      }
    }
    .td-post-category,
    .td-module-comments {
      display: none;
    }
    .td-module-meta-info {
      /* responsive portrait tablet */
      @media (max-width: @responsive_p_tablet_max) {
        display: none;
      }
    }
  }
  // scroll
  .td-big-grid-scroll .td-big-grid-post .td-meta-info-container .entry-title {
    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      font-size: 16px !important;
      line-height: 21px !important;
    }
  }


  // hover effect
  &.td-hover-1 {
    /* responsive desktop - disable all effects on devices */
    @media (min-width: 1025px) {
      // image animation
      .entry-thumb {
        .transition(transform 0.6s ease 0s);
        .transform(scale(1.1));
      }

      .td-module-thumb {
        // tint
        &:after {
          content: '';
          width: 100%;
          height: 100%;
          position: absolute;
          z-index: 1;
          background-color: @td_theme_color;
          opacity: 0;
          top: 0;
          left: 0;
          pointer-events: none;
          .transition(opacity 0.4s ease 0.2s);
        }

        a:last-child:after {
          position: absolute;
          top: 0;
          left: 0;
          width: 160%;
          height: 100%;
          background: rgba(255,255,255,0.2);
          content: '';
          z-index: 1;
          .transform(scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,-120%,0));
        }
      }

      // comment animation
      .td-module-comments {
        .transition(opacity 0.6s ease 0s);
        opacity: 0;
      }

      // hover
      .td-big-grid-post:hover {
        // image animation
        .entry-thumb {
          .transform(scale(1));
        }

        // comment animation
        .td-module-comments {
          opacity: 1;
        }

        .td-module-thumb a:last-child:after {
          .transition(transform 0.7s ease 0s);
          .transform(scale3d(1.9,1.4,1) rotate3d(0,0,1,45deg) translate3d(0,146%,0));
        }

        .td-module-thumb:after {
          opacity: 0.3;
        }
      }
    }
  }
}

/*
  Style 7
*/
.td-grid-style-7 {
  // general

  // video icon
  .td-video-play-ico {
    img {
      top: auto;
      left: auto;
      width: 30px;
      right: 10px;
      bottom: 10px;
    }
  }

  // text shadow
  .td-big-grid-post .entry-title a {
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.3);
  }

  // category
  .td-big-grid-post .td-post-category {
    background-color: transparent;
    padding: 0 !important;
    position: absolute;
    bottom: 17px;
    text-transform: none;
    margin: 0 !important;
    font-size: 12px !important;
    line-height: 14px !important;

    /* responsive portrait tablet */
    @media (max-width: @responsive_p_tablet_max) {
      bottom: 10px;
    }

    &:hover {
      background-color: transparent;
    }
  }

  .td-module-meta-info {
    /* responsive portrait tablet */
    @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
      margin-left: 17px !important;
    }
    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      margin-left: 14px !important;
    }
  }

  .td-meta-info-container {
    top: 0;
    height: 100%;
  }

  .td-big-grid-post .td-big-grid-meta {
    padding-bottom: 0 !important;
  }


  // scroll bar
  .td-big-grid-scroll .td-big-grid-post .td-meta-align .td-big-grid-meta {
    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      padding: 10px 14px;
    }

    .entry-title {
      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        font-size: 16px !important;
        line-height: 19px !important;
      }
    }
  }

  // big thumb
  .td-big-thumb {
    .td-big-grid-meta {
      padding: 20px 26px 14px 20px;

      /* responsive portrait tablet */
      @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
        padding: 12px 17px 11px;
      }
      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        padding: 14px;
      }
    }

    .entry-title {
      font-size: 30px;
      line-height: 36px;
      font-weight: 700;
      margin-bottom: 7px;

      /* responsive portrait tablet */
      @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
        font-size: 24px !important;
        line-height: 28px !important;
      }
      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        font-size: 26px !important;
        line-height: 30px !important;
        margin-bottom: 5px;
      }
    }
  }

  // medium thumb
  .td-medium-thumb {
    .td-big-grid-meta {
      padding: 20px 26px 14px 20px;

      /* responsive portrait tablet */
      @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
        padding: 12px 20px 11px 17px;
      }
      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        padding: 12px 14px 10px;
      }
    }

    .entry-title {
      font-size: 26px;
      line-height: 32px;
      font-weight: 700;
      margin-bottom: 7px;

      /* responsive portrait tablet */
      @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
        font-size: 16px !important;
        line-height: 20px !important;
        margin-bottom: 5px;
      }
      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        font-size: 20px !important;
        line-height: 26px !important;
        margin-bottom: 5px;
      }
    }
  }

  // small thumb
  .td-small-thumb {
    .td-big-grid-meta {
      padding: 14px 20px 10px;
      margin: 0 !important;

      /* responsive portrait tablet */
      @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
        padding: 12px 17px 5px;
      }

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        padding: 10px 14px;
      }
    }

    .td-module-meta-info {
      /* responsive portrait tablet */
      @media (max-width: @responsive_p_tablet_max) {
        display: none;
      }
    }

    .entry-title {
      font-size: 18px;
      line-height: 24px;
      font-weight: 700;
      margin-bottom: 6px;

      /* responsive landscape tablet */
      @media (min-width: @responsive_l_tablet_min) and (max-width: @responsive_l_tablet_max) {
        font-size: 18px !important;
        line-height: 24px !important;
      }

      /* responsive portrait tablet */
      @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
        font-size: 14px !important;
        line-height: 18px !important;
      }

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        font-size: 19px !important;
        line-height: 23px !important;
      }
    }

    .td-post-category {
      /* responsive portrait tablet */
      @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
        display: inline;
      }
    }

    .td-module-comments {
      display: none;
    }
  }

  // tiny thumb
  .td-tiny-thumb {
    .td-big-grid-meta {
      padding: 4px 16px;

      /* responsive portrait tablet */
      @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
        padding: 4px 14px;
      }

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        padding: 2px 10px 0;
      }
    }

    .entry-title {
      font-size: 16px;
      line-height: 21px;
      font-weight: 600;
      margin-top: 6px;
      margin-bottom: 7px;

      /* responsive portrait tablet */
      @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
        font-size: 12px !important;
        line-height: 13px !important;
      }
      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        font-size: 12px !important;
        line-height: 15px !important;
      }
    }

    .td-module-meta-info,
    .td-module-comments {
      display: none;
    }
  }

  // general pseudo-element
  .td-module-thumb a:last-child:before,
  .td-big-grid-post .td-module-thumb a:last-child:after {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 1;
    top: 0;
  }

  // black
  .td-module-thumb a:last-child:after {
    -webkit-box-shadow: inset 0 0 16px 4px rgba(0,0,0,1);
    -moz-box-shadow: inset 0 0 16px 4px rgba(0,0,0,1);
    box-shadow: inset 0 0 16px 4px rgba(0,0,0,1);
    opacity: 0.15;
  }


  // colors
  // color 0
  .td-big-grid-post-0 .td-module-thumb a:last-child:before {
    opacity: 0.6;
    background: #410cbc;
    background: -moz-linear-gradient(20deg, #410cbc 0%, #ff6f31 100%);
    background: -webkit-gradient(left bottom, right top, color-stop(0%, #410cbc), color-stop(100%, #ff6f31));
    background: -webkit-linear-gradient(20deg, #410cbc 0%, #ff6f31 100%);
    background: -o-linear-gradient(20deg, #410cbc 0%, #ff6f31 100%);
    background: -ms-linear-gradient(20deg, #410cbc 0%, #ff6f31 100%);
    background: linear-gradient(20deg, #410cbc 0%, #ff6f31 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#410cbc', endColorstr='#ff6f31', GradientType=1 );
  }
  // color 1
  .td-big-grid-post-1 .td-module-thumb a:last-child:before {
    opacity: 0.6;
    background: #f4880d;
    background: -moz-linear-gradient(20deg, #f4880d 0%, #70ff99 100%);
    background: -webkit-gradient(left bottom, right top, color-stop(0%, #f4880d), color-stop(100%, #70ff99));
    background: -webkit-linear-gradient(20deg, #f4880d 0%, #70ff99 100%);
    background: -o-linear-gradient(20deg, #f4880d 0%, #70ff99 100%);
    background: -ms-linear-gradient(20deg, #f4880d 0%, #70ff99 100%);
    background: linear-gradient(20deg, #f4880d 0%, #70ff99 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f4880d', endColorstr='#70ff99', GradientType=1 );
  }
  // color 2
  .td-big-grid-post-2 .td-module-thumb a:last-child:before {
    opacity: 0.6;
    background: #c40f79;
    background: -moz-linear-gradient(20deg, #c40f79 0%, #7ebfff 100%);
    background: -webkit-gradient(left bottom, right top, color-stop(0%, #c40f79), color-stop(100%, #7ebfff));
    background: -webkit-linear-gradient(20deg, #c40f79 0%, #7ebfff 100%);
    background: -o-linear-gradient(20deg, #c40f79 0%, #7ebfff 100%);
    background: -ms-linear-gradient(20deg, #c40f79 0%, #7ebfff 100%);
    background: linear-gradient(20deg, #c40f79 0%, #7ebfff 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#c40f79', endColorstr='#7ebfff', GradientType=1 );
  }
  // color 3
  &.td_block_big_grid_3 .td-big-grid-post-2 .td-module-thumb a:last-child:before,
  &.td_block_big_grid_4 .td-big-grid-post-2 .td-module-thumb a:last-child:before,
  &.td_block_big_grid_5 .td-big-grid-post-2 .td-module-thumb a:last-child:before,
  &.td_block_big_grid_10 .td-big-grid-post-2 .td-module-thumb a:last-child:before,
  &.td_block_big_grid_12 .td-big-grid-post-2 .td-module-thumb a:last-child:before,
  .td-big-grid-post-3 .td-module-thumb a:last-child:before,
  .td-big-grid-post-7 .td-module-thumb a:last-child:before {
    opacity: 0.6;
    background: #0016be;
    background: -moz-linear-gradient(20deg, #0016be 0%, #2aec74 100%);
    background: -webkit-gradient(left bottom, right top, color-stop(0%, #0016be), color-stop(100%, #2aec74));
    background: -webkit-linear-gradient(20deg, #0016be 0%, #2aec74 100%);
    background: -o-linear-gradient(20deg, #0016be 0%, #2aec74 100%);
    background: -ms-linear-gradient(20deg, #0016be 0%, #2aec74 100%);
    background: linear-gradient(20deg, #0016be 0%, #2aec74 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#0016be', endColorstr='#2aec74', GradientType=1 );
  }
  // color 4
  &.td_block_big_grid_3 .td-big-grid-post-3 .td-module-thumb a:last-child:before,
  .td-big-grid-post-4 .td-module-thumb a:last-child:before {
    opacity: 0.6;
    background: #023c8c;
    background: -moz-linear-gradient(20deg, #023c8c 0%, #ff86d3 100%);
    background: -webkit-gradient(left bottom, right top, color-stop(0%, #023c8c), color-stop(100%, #ff86d3));
    background: -webkit-linear-gradient(20deg, #023c8c 0%, #ff86d3 100%);
    background: -o-linear-gradient(20deg, #023c8c 0%, #ff86d3 100%);
    background: -ms-linear-gradient(20deg, #023c8c 0%, #ff86d3 100%);
    background: linear-gradient(20deg, #023c8c 0%, #ff86d3 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#023c8c', endColorstr='#ff86d3', GradientType=1 );
  }
  // color 5
  &.td_block_big_grid_1 .td-big-grid-post-4 .td-module-thumb a:last-child:before,
  //&.td_block_big_grid_5 .td-big-grid-post-2 .td-module-thumb a:last-child:before,
  .td-big-grid-post-5 .td-module-thumb a:last-child:before {
    opacity: 0.6;
    background: #00ac81;
    background: -moz-linear-gradient(20deg, #00ac81 0%, #ff778e 100%);
    background: -webkit-gradient(left bottom, right top, color-stop(0%, #00ac81), color-stop(100%, #ff778e));
    background: -webkit-linear-gradient(20deg, #00ac81 0%, #ff778e 100%);
    background: -o-linear-gradient(20deg, #00ac81 0%, #ff778e 100%);
    background: -ms-linear-gradient(20deg, #00ac81 0%, #ff778e 100%);
    background: linear-gradient(20deg, #00ac81 0%, #ff778e 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00ac81', endColorstr='#ff778e', GradientType=1 );
  }
  // color 6
  //&.td_block_big_grid_6 .td-big-grid-post-4 .td-module-thumb a:last-child:before,
  //&.td_block_big_grid_4 .td-big-grid-post-2 .td-module-thumb a:last-child:before,
  .td-big-grid-post-6 .td-module-thumb a:last-child:before {
    opacity: 0.6;
    background: #007808;
    background: -moz-linear-gradient(20deg, #007808 0%, #fff940 100%);
    background: -webkit-gradient(left bottom, right top, color-stop(0%, #007808), color-stop(100%, #fff940));
    background: -webkit-linear-gradient(20deg, #007808 0%, #fff940 100%);
    background: -o-linear-gradient(20deg, #007808 0%, #fff940 100%);
    background: -ms-linear-gradient(20deg, #007808 0%, #fff940 100%);
    background: linear-gradient(20deg, #007808 0%, #fff940 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#007808', endColorstr='#fff940', GradientType=1 );
  }


  // hover effect
  &.td-hover-1 {
    /* responsive desktop - disable all effects on devices */
    @media (min-width: 1025px) {
      // image animation
      .entry-thumb {
        .transition(transform 0.35s ease 0s);
      }

      // hover
      .td-big-grid-post:hover {
        // image animation
        .entry-thumb {
          transform: scale3d(1.05, 1.05, 1);
          -webkit-transform: scale3d(1.05, 1.05, 1);
          -moz-transform: scale3d(1.05, 1.05, 1) rotate(0.02deg);
        }
      }
    }
  }

  // fixes
  &.td_block_big_grid_12 {
    .td-big-grid-post-1,
    .td-big-grid-post-2 {
      .entry-title {
        /* responsive portrait phone */
        @media (max-width: @responsive_p_phone_max) {
          font-size: 17px !important;
          line-height: 21px !important;
        }
      }
    }
    .td-big-grid-post-2 .td-meta-align {
      margin-top: 11px;

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        margin-top: 0;
      }
    }
  }

  &.td_block_big_grid_9 .td-big-grid-post .entry-title,
  &.td_block_big_grid_10 .td-big-grid-post .entry-title {
    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      font-size: 19px !important;
      line-height: 23px !important;
    }
  }
  &.td_block_big_grid_11 .td-big-grid-post .entry-title {
    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      font-size: 17px !important;
      line-height: 21px !important;
    }
  }
  &.td_block_big_grid_5 .td-big-grid-meta {
    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      padding-top: 14px;
    }
  }
}